Module org.jfree.chart3d
Package org.jfree.chart3d

# Interface ChartElement

All Known Subinterfaces:
  `Axis3D`, `CategoryAxis3D`, `CategoryRenderer3D`, `Marker`, `Plot3D`, `Renderer3D`, `ValueAxis3D`, `ValueMarker`, `XYZRenderer`

All Known Implementing Classes:
  `AbstractAxis3D`, `AbstractCategoryRenderer3D`, `AbstractMarker`, `AbstractPlot3D`, `AbstractRenderer3D`, `AbstractValueAxis3D`, `AbstractXYZRenderer`, `AreaRenderer3D`, `BarRenderer3D`, `BarXYZRenderer`, `CategoryMarker`, `CategoryPlot3D`, `Chart3D`, `LineRenderer3D`, `LineXYZRenderer`, `LogAxis3D`, `NumberAxis3D`, `NumberMarker`, `PiePlot3D`, `RangeMarker`, `ScatterXYZRenderer`, `StackedBarRenderer3D`, `StandardCategoryAxis3D`, `SurfaceRenderer`, `XYZPlot`

public interface ChartElement
A chart element used to implement the Visitor pattern for applying changes to the chart. This is used by the chart styling feature.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`void`
`receive(ChartElementVisitor visitor)`
Receives a visitor to the element.

## Method Details

### receive

void receive(ChartElementVisitor visitor)
Receives a visitor to the element.

Parameters:
  `visitor` - the visitor (`null` not permitted).